/**
 * ZapWork - OpenAPI 3.0
 * Send messages with ZapWork
 *
 * The version of the OpenAPI document: 1.0.11
 * Contact: suporte@multiplica.me
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The SuccessMessage model module.
 * @module model/SuccessMessage
 * @version 1.0.11
 */
class SuccessMessage {
    /**
     * Constructs a new <code>SuccessMessage</code>.
     * @alias module:model/SuccessMessage
     */
    constructor() { 
        
        SuccessMessage.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>SuccessMessage</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/SuccessMessage} obj Optional instance to populate.
     * @return {module:model/SuccessMessage} The populated <code>SuccessMessage</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new SuccessMessage();

            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'Number');
            }
            if (data.hasOwnProperty('content')) {
                obj['content'] = ApiClient.convertToType(data['content'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {Number} status
 */
SuccessMessage.prototype['status'] = undefined;

/**
 * @member {String} content
 */
SuccessMessage.prototype['content'] = undefined;






export default SuccessMessage;

